Delete billing profile
curl --request DELETE \
--url https://api.vantage.sh/v2/billing_profiles/{billing_profile_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/billing_profiles/{billing_profile_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/billing_profiles/{billing_profile_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"nickname": "<string>",
"created_at": "2023-08-04T00:00:00Z",
"updated_at": "2023-08-04T00:00:00Z",
"billing_information_attributes": {
"token": "<string>",
"company_name": "<string>",
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"billing_email": [
"<string>"
]
},
"business_information_attributes": {
"token": "<string>",
"metadata": {
"custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
},
"invoice_adjustment_attributes": {
"token": "<string>",
"adjustment_items": [
{
"name": "<string>",
"amount": "<string>"
}
]
},
"managed_accounts_count": "<string>",
"banking_information_attributes": {
"token": "<string>",
"bank_name": "<string>",
"beneficiary_name": "<string>",
"tax_id": "<string>",
"secure_data": {
"account_number": "<string>",
"routing_number": "<string>",
"iban": "<string>",
"swift_bic": "<string>"
}
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}BillingProfiles
Delete billing profile
Requires MSP invoicing to be enabled on the account.
DELETE
/
billing_profiles
/
{billing_profile_token}
Delete billing profile
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Billing Profile deleted successfully.
BillingProfile model
Display name for the billing profile
The date and time, in UTC, the billing profile was created. ISO 8601 formatted.
Example:
"2023-08-04T00:00:00Z"
The date and time, in UTC, the billing profile was last updated. ISO 8601 formatted.
Example:
"2023-08-04T00:00:00Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Number of managed accounts using this billing profile
Show child attributes
Show child attributes
⌘I